LocalVariablesInfo (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.statics.LocalVariablesInfo,LocalVariablesInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.statics
Class LocalVariablesInfo

    java.lang.Object
      |
      +--org.apache.bcel.verifier.statics.LocalVariablesInfo

public class LocalVariablesInfo
extends java.lang.Object

A utility class holding the information about the names and the types of the local variables in a given method.

Version:
  $Id: LocalVariablesInfo.java,v 1.2 2002/06/13 09:32:50 enver Exp $
Author:
  Enver Haase

Method Summary
`void` | `add(int slot, java.lang.String name, int startpc, int length, Type t)` Adds information about the local variable in slot 'slot'.
`LocalVariableInfo` | `getLocalVariableInfo(int slot)` Returns the LocalVariableInfo for the given slot.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLocalVariableInfo

    public LocalVariableInfo getLocalVariableInfo(int slot)

  Returns the LocalVariableInfo for the given slot.

### add

    public void add(int slot,
                    java.lang.String name,
                    int startpc,
                    int length,
                    Type t)
             throws LocalVariableInfoInconsistentException

  Adds information about the local variable in slot 'slot'. Automatically adds information for slot+1 if 't' is Type.LONG or Type.DOUBLE.

  Throws:
    `LocalVariableInfoInconsistentException` - if the new information conflicts with already gathered information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.